KB: How to set up the prerequisite Microsoft .NET Framework for free tools installation?

To set up the prerequisite Microsoft .NET Framework for free tools installation:

Microsoft Windows may already have Microsoft .NET Framework installed. For example, the .NET Framework 4.5 is included with Windows 8, the .NET Framework 4.5.1 is included with Windows 8.1, and the .NET Framework 4.6 is included with Windows 10.

However, the .NET Framework 3.5 is not automatically installed with Windows 8, Windows 8.1 or Windows 10. Version 3.5 must be separately enabled to run applications that depend on it. This must happen through Windows Update, which is invoked in one of three ways:

Refer also to Microsoft Developer Network documentation Installing the .NET Framework 3.5 on Windows 8, Windows 8.1 and Windows 10.

Refer also to How to check which Microsoft .NET Framework versions are available in Windows? and How to download the latest Microsoft .NET Framework installer?.